#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kioskConfigDialog_ui.ui'
**
** Created: 2013-11-27T09:15:38
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kioskConfigDialog_ui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <kurlrequester.h>
#include <klineedit.h>
#include <qtextedit.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KioskConfigDialogUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KioskConfigDialogUI::KioskConfigDialogUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KioskConfigDialogUI" );
    KioskConfigDialogUILayout = new QVBoxLayout( this, 11, 6, "KioskConfigDialogUILayout"); 

    checkProfilePrefix = new QCheckBox( this, "checkProfilePrefix" );
    KioskConfigDialogUILayout->addWidget( checkProfilePrefix );

    tqlayout3 = new QHBoxLayout( 0, 0, 6, "tqlayout3"); 
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout3->addItem( spacer1 );

    tqlayout2 = new QVBoxLayout( 0, 0, 6, "tqlayout2"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    tqlayout2->addWidget( textLabel1 );

    lineProfilePrefix = new KURLRequester( this, "lineProfilePrefix" );
    lineProfilePrefix->setEnabled( FALSE );
    tqlayout2->addWidget( lineProfilePrefix );
    tqlayout3->addLayout( tqlayout2 );
    KioskConfigDialogUILayout->addLayout( tqlayout3 );

    checkUpload = new QCheckBox( this, "checkUpload" );
    KioskConfigDialogUILayout->addWidget( checkUpload );

    tqlayout8 = new QHBoxLayout( 0, 0, 6, "tqlayout8"); 
    spacer1_2 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout8->addItem( spacer1_2 );

    tqlayout7 = new QVBoxLayout( 0, 0, 6, "tqlayout7"); 

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    tqlayout7->addWidget( textLabel1_2 );

    lineUpload = new KURLRequester( this, "lineUpload" );
    lineUpload->setEnabled( FALSE );
    tqlayout7->addWidget( lineUpload );

    textLabel1_3 = new QLabel( this, "textLabel1_3" );
    tqlayout7->addWidget( textLabel1_3 );

    lineUploadPrefix = new KLineEdit( this, "lineUploadPrefix" );
    lineUploadPrefix->setEnabled( FALSE );
    tqlayout7->addWidget( lineUploadPrefix );

    textLabel2 = new QLabel( this, "textLabel2" );
    tqlayout7->addWidget( textLabel2 );

    lblUploadExample = new QTextEdit( this, "lblUploadExample" );
    lblUploadExample->setEnabled( FALSE );
    lblUploadExample->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, lblUploadExample->sizePolicy().hasHeightForWidth() ) );
    lblUploadExample->setTqminimumSize( QSize( 500, 10 ) );
    lblUploadExample->setVScrollBarMode( QTextEdit::AlwaysOff );
    lblUploadExample->setHScrollBarMode( QTextEdit::AlwaysOff );
    lblUploadExample->setReadOnly( TRUE );
    tqlayout7->addWidget( lblUploadExample );
    tqlayout8->addLayout( tqlayout7 );
    KioskConfigDialogUILayout->addLayout( tqlayout8 );

    checkUID = new QCheckBox( this, "checkUID" );
    KioskConfigDialogUILayout->addWidget( checkUID );

    tqlayout6 = new QHBoxLayout( 0, 0, 6, "tqlayout6"); 
    spacer1_2_2 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout6->addItem( spacer1_2_2 );

    numUID = new KIntNumInput( this, "numUID" );
    numUID->setEnabled( FALSE );
    numUID->setMinValue( 1 );
    tqlayout6->addWidget( numUID );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout6->addItem( spacer4 );
    KioskConfigDialogUILayout->addLayout( tqlayout6 );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KioskConfigDialogUILayout->addItem( spacer2 );
    languageChange();
    resize( QSize(551, 501).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( checkProfilePrefix, SIGNAL( toggled(bool) ), lineProfilePrefix, SLOT( setEnabled(bool) ) );
    connect( checkUpload, SIGNAL( toggled(bool) ), lineUpload, SLOT( setEnabled(bool) ) );
    connect( checkUID, SIGNAL( toggled(bool) ), numUID, SLOT( setEnabled(bool) ) );
    connect( checkUpload, SIGNAL( toggled(bool) ), lineUploadPrefix, SLOT( setEnabled(bool) ) );
    connect( checkUpload, SIGNAL( toggled(bool) ), lblUploadExample, SLOT( setEnabled(bool) ) );

    // buddies
    textLabel1->setBuddy( lineProfilePrefix );
    textLabel1_2->setBuddy( lineUpload );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KioskConfigDialogUI::~KioskConfigDialogUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KioskConfigDialogUI::languageChange()
{
    checkProfilePrefix->setText( tr2i18n( "Store all &profiles under the same base directory" ) );
    textLabel1->setText( tr2i18n( "&Base directory:" ) );
    checkUpload->setText( tr2i18n( "On exit, &upload profiles to remote server" ) );
    textLabel1_2->setText( tr2i18n( "&Server URL:" ) );
    textLabel1_3->setText( tr2i18n( "Strip off the following directory prefix when uploading:" ) );
    textLabel2->setText( tr2i18n( "Example:" ) );
    lblUploadExample->setText( QString::null );
    checkUID->setText( tr2i18n( "Do not show users with a UID lower than" ) );
    checkUID->setAccel( QKeySequence( QString::null ) );
}

#include "kioskConfigDialog_ui.moc"
